Import VOD Push Zone
Import VOD Push Zone
curl -X POST "https://api.5centscdn.com/v2/zones/vod/push/42/import" \
-H "Content-Type: application/json" \
-H "X-API-Key: YOUR_API_KEY" \
-d '{
"id": 123,
"url": "https://cdn.example.com/test.mp4",
"filename": "test.mp4",
"folder": "mp4"
}'
import requests
import json
url = "https://api.5centscdn.com/v2/zones/vod/push/42/import"
headers = {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
}
data = {
"id": 123,
"url": "https://cdn.example.com/test.mp4",
"filename": "test.mp4",
"folder": "mp4"
}
response = requests.post(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.5centscdn.com/v2/zones/vod/push/42/import", {
method: "POST",
headers: {
"Content-Type": "application/json",
"X-API-Key": "YOUR_API_KEY"
},
body: JSON.stringify({
"id": 123,
"url": "https://cdn.example.com/test.mp4",
"filename": "test.mp4",
"folder": "mp4"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"id": 123,
"url": "https://cdn.example.com/test.mp4",
"filename": "test.mp4",
"folder": "mp4"
}`)
req, err := http.NewRequest("POST", "https://api.5centscdn.com/v2/zones/vod/push/42/import", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("X-API-Key", "YOUR_API_KEY")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.5centscdn.com/v2/zones/vod/push/42/import')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Post.new(uri)
request['Content-Type'] = 'application/json'
request['X-API-Key'] = 'YOUR_API_KEY'
request.body = '{
"id": 123,
"url": "https://cdn.example.com/test.mp4",
"filename": "test.mp4",
"folder": "mp4"
}'
response = http.request(request)
puts response.body
{
"result": "success",
"message": "Zone updated successfully"
}
POST
/zones/vod/push/{zoneid}/importPOST
Base URLstring
Target server for requests. Edit to use your own host.
API Key (header: X-API-Key)
X-API-Keystring
RequiredAPI key (sent in header)
path
zoneidinteger
RequiredZone ID
Content-Typestring
RequiredThe media type of the request body
Options: application/json
idinteger
Enter numeric value.
Format: int32
urlstring
Enter url of file
filenamestring
Filename must have an extension.
folderstring
Enter file upload foler path
Request Preview
Response
Response will appear here after sending the request
Authentication
header
X-API-Keystring
RequiredAPI Key for authentication. Provide your API key in the header.
Path Parameters
Body
application/json
idinteger
Enter numeric value.
Responses
resultstring
Status of the API response.
messagestring
Human-readable status message describing the outcome.
Was this page helpful?